# lni

```yaml
----------------------------------------------------------------------------
lni -- A class for submissions to the ``Lecture Notes in Informatics''
(c) 2016-2024 Gesellschaft für Informatik (GI)
Version:    1.8.1
Maintainer: Martin Sievers
Email:      martin.sievers@schoenerpublizieren.de
License:    Released under the LaTeX Project Public License v1.3c or later
See:        http://www.latex-project.org/lppl.txt
----------------------------------------------------------------------------
```

This is the official version of the class “lni” for submissions to the
“[Lecture Notes in Informatics]” published by the “Gesellschaft für Informatik”
([GI]).

It is based on previous templates created on behalf of the GI.

Quick start:
Download [`lni-author-template.tex`](lni-author-template.tex) and edit it in
your favorite LaTeX editor.
By default [BibTeX](https://www.ctan.org/pkg/bibtex) is used as bibliography tool.
In case you want to use [biblatex](https://www.ctan.org/pkg/biblatex) together with
[Biber](https://www.ctan.org/pkg/biber) (strongly recommended), read on in the
documentation. There is a specialized package
[biblatex-lni](https://ctan.org/pkg/biblatex-lni), which can easily be included
to get correctly formed bibliographies. The easiest way is to add `biblatex` as class
option. See documentation for details.

You should use `pdflatex` as `xelatex` and `lualatex` lack some features of the class file.

Stable versions are always uploaded to CTAN and available at <https://www.ctan.org/pkg/lni>.
In addition, you will find the most recent developer version on GitHub at https://github.com/gi-ev/lni.
The most recent documentation is available at <https://gi-ev.github.io/LNI/lni.pdf>.
It includes a short description how to use the template and also provides troubleshooting hints.

Please see [`CHANGELOG.md`](CHANGELOG.md) for a version history

[GI]: https://gi.de/
[Lecture Notes in Informatics]: https://gi.de/service/publikationen/lni
